Spring – @Valid não funciona após atualização do Spring 2.3.X ?

Após a versão 2.3.X do Spring Boot Framework podemos notar que o recurso de validação do javax.validation ( ex: @ Valid, @ NotNull, @ Min, @ Max ) podem ter parado de funcionar, normalmente porque eles utilizavam o hibernate-validator como implementação da especificação, porém apartir dessa versão foi retirado das dependências diretas do web-starter . Resumindo, se alguém passar por esse problema eles incluíram essa nova dependência que deve ser utilizada para o funcionamento adequado da javax.validation :

<dependency>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-validation</artifactId>
</dependency>

Help DEV – Analista desenvolvedor Java / Android https://helpdev.com.br/zarelli

Spring – @Valid não funciona após atualização do Spring 2.3.X ?

Um pensamento em “Spring – @Valid não funciona após atualização do Spring 2.3.X ?

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *

Esse site utiliza o Akismet para reduzir spam. Aprenda como seus dados de comentários são processados.

Rolar para o topo